<?php
$i18n = array(
	'MENU_CONFIGURE_PLUGIN' => 'Configure DeepL Translation',
	'MENU_TRANSLATE_CURRENT_PAGE' => 'DeepL Translate Page',

	'CONFIG_TITLE' => 'I18N DeepL Page Translation Configuration',
	'CONFIG_AUTHKEY' => 'Your DeepL Authentication Key',
	'CONFIG_TRANSLATEFLDS' => 'Fields to translate (add your custom fields here)',
	'CONFIG_IGNORE_TAGS' => 'HTML or XML Tags to exclude from translation',
	'CONFIG_OMIT_TRANSLATE' => 'Words, brands, expressions to exclude from translation',
	'CONFIG_PLACEHOLDERS_HANDLING' => 'Placeholders handling',
	'CONFIG_OMIT_PLACEHOLDERS' => 'Exclude {%&nbsp;xxx&nbsp;%}, (%&nbsp;xxx&nbsp;%), and %xxx% from translation',
	'CONFIG_NEWSLUG_HANDLING' => 'New slug handling',
	'CONFIG_SUGGEST_COUNTER' => 'Suggest slug counter addition for the case the new page already exists',
	'CONFIG_SPLIT_SENTENCES' => 'Sentence splitting for translation',
	'CONFIG_SPLIT_SENTENCES_0' => 'no splitting',
	'CONFIG_SPLIT_SENTENCES_NONEWLINES' => 'interpunction only',
	'CONFIG_SPLIT_SENTENCES_1' => 'interpunction and newlines',
	'CONFIG_OUTLINE_DETECTION' => 'Suppress automatic XML structure detection',
	'CONFIG_SPLITTING_TAGS' => 'HTML or XML Tags to be considered as structure (splitting)',
	'CONFIG_NON_SPLITTING_TAGS' => 'HTML or XML Tags to be considered as markup (non-splitting)',
	'CONFIG_PRESERVE_FORMATTING' => 'Preserve punctuation and case formatting',
	'CONFIG_FORMALITY' => 'Formality',
	'CONFIG_FORMALITY_DEFAULT' => 'auto',
	'CONFIG_FORMALITY_MORE' => 'more formal',
	'CONFIG_FORMALITY_LESS' => 'more informal',
	'CONFIG_LANGUAGES' => 'Languages Configuration',
	'CONFIG_LANGUAGES_MISSING' => 'Your valid Authentication Key is required for fetching language information!',
	'CONFIG_LANGUAGE_DETAILS' => 'Configure translation menu appearance and automatic slug extension of all available languages here.
	<br>\'Active\' controls whether this language shall be displayed in the language choice at translation time.<br>Important: Make sure the default language (\'%s\') has no slug extension!',
	'CONFIG_LANGDESCR' => 'DeepL Description',
	'CONFIG_LANGMENU' => 'Menu Description',
	'CONFIG_LANGCMD' => 'DeepL Key',
	'CONFIG_LANGPOSTFIX' => 'Slug Extension',
	'CONFIG_LANGACTIVE' => 'Active',
	'CONFIG_EXTENDED' => 'Extended Configuration',
	'CONFIG_BTN_SHOWEXT' => 'Show Extended Configuration',
	'CONFIG_BTN_HIDEEXT' => 'Hide',

	'USAGE_COUNT' => 'Character count',
	'USAGE_LIMIT' => 'Character limit',
	'USAGE_REMAINING' => 'Character budget: %d characters left',

	'MISSING_OR_WRONG_AUTH_KEY' => 'Missing or wrong DeepL Authentification Key',
	'TRANSLATE_HEADLINE' => 'Translate this Page',
	'TRANSLATE_PAGETITLE' => 'Current Page',
	'TRANSLATE_PULLDOWN' => 'Choose Language to translate to',
	'TRANSLATE_NEW_SLUG' => 'Slug of the new page',
	'TRANSLATE_ADD_COUNTER' => 'Add counter to slug if new page already exists',
	'TRANSLATE_INPLACE' => 'This page!',
	'TRANSLATE_DEFAULTLANG' => 'Default Language',
	'TRANSLATE_SUBMIT' => 'Translate',
	'TRANSLATE_OTHERMENU' => 'DeepL Translate',

	'TRANSLATION_ERROR' => 'Translation Error',
	'DEEPL_ERR_400' => 'Bad request. Please check error message and your parameters.',
	'DEEPL_ERR_403' => 'Authorization failed. Please supply a valid authentication key.',
	'DEEPL_ERR_404' => 'The requested resource could not be found.',
	'DEEPL_ERR_413' => 'The request size exceeds the limit.',
	'DEEPL_ERR_414' => 'Request URI too long.',
	'DEEPL_ERR_429' => 'Too many requests. Please wait and resend your request.',
	'DEEPL_ERR_456' => 'Quota exceeded. The character limit has been reached.',
	'DEEPL_ERR_503' => 'Resource currently unavailable. Try again later.',
	'DEEPL_ERR_529' => 'Too many requests. Please wait and try again later.',
	'DEEPL_ERR_INTERNAL' => 'Internal error.',
	'DEEPL_ERR_OTHER' => 'Other error.',
	'DEEPL_ERR_NOMESSAGE' => 'No additional details provided.',

	'ZZZZZ' => ''
);
