<?php
$i18n = array(
  'MENU_CONFIGURE_PLUGIN' => 'DeepL Übersetzung konfigurieren',
  'MENU_TRANSLATE_CURRENT_PAGE' => 'DeepL Seite übersetzen',

  'CONFIG_TITLE' => "I18N DeepL Übersetzerkonfiguration",
  'CONFIG_AUTHKEY' => 'Ihr DeepL Authentifizierungsschlüssel',
  'CONFIG_TRANSLATEFLDS' => 'Zu übersetzende Felder (fügen Sie hier Ihre benutzerdefinierten Felder hinzu)',
  'CONFIG_IGNORE_TAGS' => 'Von der Übersetzung auszuschließende HTML- oder XML-Tags',
  'CONFIG_OMIT_TRANSLATE' => 'Wörter, Marken, Ausdrücke, die von der Übersetzung ausgeschlossen werden sollen',
  'CONFIG_PLACEHOLDERS_HANDLING' => 'Behandlung von Platzhaltern',
  'CONFIG_OMIT_PLACEHOLDERS' => 'Platzhalter {%&nbsp;xxx&nbsp;%}, (%&nbsp;xxx&nbsp;%) und %xxx% von der Übersetzung ausschließen',
  'CONFIG_NEWSLUG_HANDLING' => 'Behandlung neuer Slugs',
  'CONFIG_SUGGEST_COUNTER' => 'Vorschlagen, einen Zähler anzufügen, falls die neue Seite bereits existiert',
  'CONFIG_SPLIT_SENTENCES' => 'Satzaufteilung für die Übersetzung',
  'CONFIG_SPLIT_SENTENCES_0' => 'keine Auftrennung',
  'CONFIG_SPLIT_SENTENCES_NONEWLINES' => 'nur Interpunktion',
  'CONFIG_SPLIT_SENTENCES_1' => 'Interpunktion und Zeilenumbrüche',
  'CONFIG_OUTLINE_DETECTION' => 'Automatische XML-Strukturerkennung unterdrücken',
  'CONFIG_SPLITTING_TAGS' => 'HTML- oder XML-Tags, die als Struktur betrachtet werden sollen',
  'CONFIG_NON_SPLITTING_TAGS' => 'HTML- oder XML-Tags, die als Markup betrachtet werden sollen',
  'CONFIG_PRESERVE_FORMATTING' => 'Interpunktion und Groß-/Kleinschreibung beibehalten',
  'CONFIG_FORMALITY' => 'Textstil',
  'CONFIG_FORMALITY_DEFAULT' => 'automatisch',
  'CONFIG_FORMALITY_MORE' => 'formeller',
  'CONFIG_FORMALITY_LESS' => 'informeller',
  'CONFIG_LANGUAGES' => 'Sprachen-Konfiguration',
  'CONFIG_LANGUAGES_MISSING' => 'Ihr gültiger Authentifizierungsschlüssel wird zum Abrufen von Sprachinformationen benötigt!',
  'CONFIG_LANGUAGE_DETAILS' => 'Konfigurieren Sie hier das Erscheinungsbild des Übersetzungsmenüs und die automatische Slug-Erweiterung aller verfügbaren Sprachen.<br>
\'Aktiv\' bedeutet, dass diese Sprache im Sprachauswahlmenu bei der Übersetzung angezeigt werden soll.<br>Wichtig: Stellen Sie sicher, dass die Standardsprache (\'%s\') keinen Slug-Postfix hat!',
  'CONFIG_LANGDESCR' => 'DeepL Beschreibung',
  'CONFIG_LANGMENU' => 'Menü-Beschreibung',
  'CONFIG_LANGCMD' => 'DeepL Schlüssel',
  'CONFIG_LANGPOSTFIX' => 'Slug-Erweiterung',
  'CONFIG_LANGACTIVE' => 'Aktiv',
  'CONFIG_EXTENDED' => 'Erweiterte Konfiguration',
  'CONFIG_BTN_SHOWEXT' => 'Erweiterte Konfiguration anzeigen',
  'CONFIG_BTN_HIDEEXT' => 'Verbergen',

  'USAGE_COUNT' => 'Zeichenanzahl',
  'USAGE_LIMIT' => 'Zeichenbeschränkung',
  'USAGE_REMAINING' => 'Zeichenbudget: %d Zeichen übrig',

  'MISSING_OR_WRONG_AUTH_KEY' => 'Fehlender oder falscher DeepL Authentifizierungsschlüssel',
  'TRANSLATE_HEADLINE' => 'Diese Seite übersetzen',
  'TRANSLATE_PAGETITLE' => 'Aktuelle Seite',
  'TRANSLATE_PULLDOWN' => 'Wählen Sie die Sprache, in die übersetzt werden soll',
  'TRANSLATE_NEW_SLUG' => 'Slug der neuen Seite',
  'TRANSLATE_ADD_COUNTER' => 'Zähler zum Slug hinzufügen, wenn die neue Seite bereits existiert',
  'TRANSLATE_INPLACE' => 'Diese Seite!',
  'TRANSLATE_DEFAULTLANG' => 'Standard-Sprache',
  'TRANSLATE_SUBMIT' => 'Übersetzen',
  'TRANSLATE_OTHERMENU' => 'DeepL Übersetzung',

  'TRANSLATION_ERROR' => 'Fehler bei der Übersetzung',
  'DEEPL_ERR_400' => 'Ungültige Anfrage. Bitte überprüfen Sie die Fehlermeldung und Ihre Parameter.',
  'DEEPL_ERR_403' => 'Autorisierung fehlgeschlagen. Bitte geben Sie einen gültigen Authentifizierungsschlüssel an.',
  'DEEPL_ERR_404' => 'Die angeforderte Ressource konnte nicht gefunden werden.',
  'DEEPL_ERR_413' => 'Die Größe der Anfrage überschreitet das Limit',
  'DEEPL_ERR_414' => 'Anfrage-URI zu lang.',
  'DEEPL_ERR_429' => 'Zu viele Anfragen. Bitte warten Sie und senden Sie Ihre Anfrage später erneut.',
  'DEEPL_ERR_456' => 'Quote überschritten. Das Zeichenlimit ist erreicht.',
  'DEEPL_ERR_503' => 'Ressource derzeit nicht verfügbar. Versuchen Sie es später noch einmal.',
  'DEEPL_ERR_529' => 'Zu viele Anfragen. Bitte warten Sie und senden Sie Ihre Anfrage später erneut.',
  'DEEPL_ERR_INTERNAL' => 'Interner Fehler.',
  'DEEPL_ERR_OTHER' => 'Anderer Fehler.',
  'DEEPL_ERR_NOMESSAGE' => 'Keine zusätzlichen Details angegeben',

  'ZZZZZ' => ''
);
